@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap");
body {
  background: linear-gradient(135deg,#4d467a,#00c59a);
  /* background-image: url(Imgs/satellite_loop.gif.crdownload); */

}

* {
  margin: 0;
  padding: 0;
}

nav {
  font-family: "Roboto", sans-serif;
  /* background-image: url(Imgs/nav.jpg); */
  box-shadow:2px 0px 5px ;
  background: linear-gradient(135deg,#4d467a,#00c59a);
}

nav ul{
  display: flex;
  justify-content: center;
  align-items: center;
  list-style-type: none;
  height: 70px;
  color: rgb(255, 255, 255);
}

nav ul li {
  padding: 0 8px;
}

.logoname{
  font-family: "Roboto", sans-serif;
  font-size: xx-large;
  font-weight: bolder;
}

.brand {
  display: flex;
  align-items: center;
  font-weight: bolder;
  font-size: 1.3rem;
}

.brand img {
  width: 50px;
  padding: 0 5px;
  cursor: pointer;
}

.card{
  width: 90%;
  max-width: 470px;
  background: linear-gradient(135deg,#00feba,#5b548a);
  color: #fff;
  margin: 50px auto 0;
  border-radius: 20px;
  padding: 40px 35px;
  text-align: center;
  margin-bottom: 2%;
  border: solid 2px;
  border-color: rgb(255, 255, 255);

}

.search{
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.search input{
  border: 0;
  outline: 0;
  background: #ebfffc;
  color: #555;
  padding: 10px 25px;
  border-radius: 30px;
  flex: 1;
  margin-right: 16px;
  font-size: 18px;
}

.search button{
  border: 0;
  outline: 0;
  background: #ebfffc;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  cursor: pointer;
}

.search button img{
  width: 16px ;
}

.weather-icon{
  width: 170px;
  margin-top: 30px;
}

.weather h1{
  font-size: 40px;
  font-weight: 500;
}
.weather h2{

  font-size: 40px;
  font-weight: 400;
  margin-top:-10PX ;
}

.details{
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 20px;
  margin-top: 50px;
}

.col{
  display: flex;
  align-items: center;
  text-align: left;
}

.col img{
  width: 50px;
  margin-right: 10px;
}

.humidity,.wind{
  font-size: 28px;
  margin-top: -6px ;
}

@media only screen and (max-width : 600px){
  body{
    width: 100%;
  }

  .card{
    width: 70%;
  }
  .search input{
    border: 0;
    outline: 0;
    background: #ebfffc;
    color: #555;
    padding: 10px 5px;
    border-radius: 30px;
    flex: 1;
    margin-right: 6px;
    font-size: 15px;
  }
  
  .search button{
    border: 0;
    outline: 0;
    background: #ebfffc;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    cursor: pointer;
  }
  
  .search button img{
    width: 16px ;
  }

  .col img{
    width: 30px;
    margin-right: 10px;
  }

  .humidity,.wind{
    font-size: 18px;
    margin-top: -6px ;
  }
}

@media only screen and (max-width:380px){
  body{
    width: 100%;
  }

  .card{
    width: 60%;
  }

  .search input{
    border: 0;
    outline: 0;
    background: #ebfffc;
    color: #555;
    padding: 10px 0px;
    border-radius: 30px;
    flex: 1;
    width:50% ;
    margin-right: 5px;
    font-size: 18px;
  }

  .col img{
    width: 20px;
    margin-right: 10px;
    /* margin-left: -20px; */
  }

  .humidity,.wind{
    font-size: x-small;
    margin-top: -6px ;
    
  }

}


